Public Types | Public Member Functions | Protected Attributes | Private Member Functions | List of all members
MsWks3TextInternal::SubDocument Class Referencefinal

Internal: the subdocument of a MsWks3Text. More...

Inheritance diagram for MsWks3TextInternal::SubDocument:

## Public Types
enum | Type { Zone, Text }

## Public Member Functions
| SubDocument (MsWks3Text &pars, MWAWInputStreamPtr const &input, int zoneId, int noteId)
| ~SubDocument () final
| destructor More...
bool | operator!= (MWAWSubDocument const &doc) const final
| operator!= More...
void | parse (MWAWListenerPtr &listener, libmwaw::SubDocumentType type) final
| the parser function More...
Public Member Functions inherited from MWAWSubDocument
| MWAWSubDocument (MWAWParser *pars, MWAWInputStreamPtr const &ip, MWAWEntry const &z)
| constructor from parser, input stream and zone in the input More...
| MWAWSubDocument (MWAWSubDocument const &doc)=default
| copy constructor More...
MWAWSubDocument & | operator= (MWAWSubDocument const &doc)=default
| copy operator More...
virtual | ~MWAWSubDocument ()
| virtual destructor More...
bool | operator== (MWAWSubDocument const &doc) const
| comparison operator== More...
bool | operator!= (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator!= More...
bool | operator== (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator== More...

## Protected Attributes
MsWks3Text * | m_textParser
| the text parser More...
int | m_id
| the subdocument id More...
int | m_noteId
| the note id More...
Protected Attributes inherited from MWAWSubDocument
MWAWParser * | m_parser
| the main zone parser More...
std::shared_ptr< MWAWInputStream > | m_input
| the input More...
MWAWEntry | m_zone
| if valid the zone to parse More...

## Private Member Functions
| SubDocument (SubDocument const &orig)=delete
SubDocument | operator= (SubDocument const &orig)=delete

## Detailed Description

Internal: the subdocument of a MsWks3Text.

## Member Enumeration Documentation

## ◆ Type

enum MsWks3TextInternal::SubDocument::Type

Enumerator
Zone |
Text |

## Constructor & Destructor Documentation

## ◆ SubDocument() [1/2]

MsWks3TextInternal::SubDocument::SubDocument | ( | MsWks3Text & | pars,
|  | MWAWInputStreamPtr const & | input,
|  | int | zoneId,
|  | int | noteId
| ) |  |
| inline

## ◆ ~SubDocument()

MsWks3TextInternal::SubDocument::~SubDocument | ( |  | ) |
| inline final

destructor

## ◆ SubDocument() [2/2]

MsWks3TextInternal::SubDocument::SubDocument | ( | SubDocument const & | orig | ) |
| private delete

## Member Function Documentation

## ◆ operator!=()

bool MsWks3TextInternal::SubDocument::operator!= | ( | MWAWSubDocument const & | doc | ) | const
| final virtual

operator!=

Reimplemented from MWAWSubDocument.

## ◆ operator=()

SubDocument MsWks3TextInternal::SubDocument::operator= | ( | SubDocument const & | orig | ) |
| private delete

## ◆ parse()

void MsWks3TextInternal::SubDocument::parse | ( | MWAWListenerPtr & | listener,
|  | libmwaw::SubDocumentType | type
| ) |  |
| final virtual

the parser function

Implements MWAWSubDocument.

## Member Data Documentation

## ◆ m_id

int MsWks3TextInternal::SubDocument::m_id
| protected

the subdocument id

## ◆ m_noteId

int MsWks3TextInternal::SubDocument::m_noteId
| protected

the note id

## ◆ m_textParser

MsWks3Text* MsWks3TextInternal::SubDocument::m_textParser
| protected

the text parser

The documentation for this class was generated from the following file:

- MsWks3Text.cxx